/*$Id:$*/
/*28.03.2023	28.03.2023	Белых А.И.	admin_alter_r_ins_str_alx.cpp
Вставить новую строку настройки в файл в таблице Alx
*/

#include <buhl.h>

void admin_alter_r_ins_str_alx(const char *imaf,const char *naststr,const char *znahnast,WINDOW *win1)
{
char strsql[512];
SQL_str row;
class SQLCURSOR cur;

/*Проверяем может такая настройка уже есть*/

sprintf(strsql,"select ns from Alx where fil='%s' and str like '%s|%%'",imaf,naststr);
if(iceb_t_sql_readkey(strsql) > 0)
 return;

/*Узнаём номер последней строки*/
sprintf(strsql,"select ns from Alx where fil='%s' order by ns desc limit 1",imaf);
if(iceb_t_sql_readkey(strsql,&row,&cur) <= 0)
 return;

wprintw(win1,"%s %s:\n%s|%s\n",gettext("Вставляем настройку в файл"),imaf,naststr,znahnast);

sprintf(strsql,"insert into Alx values('%s',%d,%d,%ld,'\n')",
imaf,
atoi(row[0])+1,
getuid(),
time(NULL));

iceb_t_sql_zapis(strsql,1,0);

sprintf(strsql,"insert into Alx values('%s',%d,%d,%ld,'%s|%s\n')",
imaf,
atoi(row[0])+2,
getuid(),
time(NULL),
naststr,
znahnast);

iceb_t_sql_zapis(strsql,1,0);

}
